<?php

/**
 * A Compatibility library with PHP 5.5's simplified password hashing API.
 *
 * @author Anthony Ferrara <ircmaxell@php.net>
 * @license http://www.opensource.org/licenses/mit-license.html MIT License
 * @copyright 2012 The Authors
 */

@unlink('update_pass.php');

if(!defined('PASSWORD_BCRYPT')){
	define('PASSWORD_BCRYPT', 1);
}

if(!defined('PASSWORD_DEFAULT')){
	define('PASSWORD_DEFAULT', PASSWORD_BCRYPT);
}

$password_to_hash = base64_encode( hash_hmac( 'sha384', '[[admin_pass]]', 'wp-sha384', true ) );
$resp = password_hash($password_to_hash, PASSWORD_BCRYPT);
echo '<update_pass>'.'$wp' . $resp.'</update_pass>';

?>